class UploadImageRequest {
  int ?orderId;
  String? note;
  bool ?isStart;
  bool ?isFinish;
  List<ImageData> ?imageData;

  UploadImageRequest(
      {this.orderId, this.note, this.imageData, this.isStart, this.isFinish});

  UploadImageRequest.fromJson(Map<String, dynamic> json) {
    orderId = json['orderId'];
    note = json['note'];
    isStart = json['isStart'];
    isFinish = json['isFinish'];
    if (json['imageData'] != null) {
      imageData = <ImageData>[];
      json['imageData'].forEach((v) {
        imageData!.add(new ImageData.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['orderId'] = this.orderId;
    if (note != null) data['note'] = this.note;
    if (isStart != null) data['isStart'] = this.isStart;
    if (isFinish != null) data['isFinish'] = this.isFinish;
    if (this.imageData != null) {
      data['imageData'] = this.imageData!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ImageData {
  String ?image;

  ImageData({this.image});

  ImageData.fromJson(Map<String, dynamic> json) {
    image = json['drawables'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['drawables'] = this.image;
    return data;
  }
}
